Where in the call flow should the receptionist sit?
Start by listing every path a call can take through your system today, using the list below as a guide. Then pick the points where the receptionist takes over. Microsoft Teams call queues, for example, have separate exception settings for overflow (too many calls waiting), timeout (a caller has waited too long) and no agents signed in, and each can redirect calls to a different destination. Microsoft documents separate requirements for transferring calls to external numbers, so check those before choosing an external destination.
- Auto attendant menu options
- Each ring group and its no-answer rule
- Each queue and its overflow, timeout and no-agent rules
- Business hours, after-hours and holiday schedules
Should you forward to a number or connect over SIP?
Forwarding to an Australian phone number is the simplest option and works on any system that allows forwarding to external numbers. The trade-off is capacity: a forwarded call can occupy one inbound and one outbound channel on your trunk for its whole length, so check how many concurrent calls your plan allows. A direct SIP connection between your phone system and the receptionist platform avoids sending the call back out through your carrier, but it needs configuration on both sides and a provider that supports it. Ask your phone provider which options it offers before choosing.
How does the receptionist know which number was dialled?
If you have separate numbers for sales, service or each location, the receptionist needs to know which one the caller rang so it can greet them correctly and route the message. A plain forward may present only your main number or the receptionist's own number. SIP has headers for this: the Diversion header (RFC 5806) and History-Info (RFC 7044) both carry information about how a call was redirected. Ask your provider which one it sends, then confirm the receptionist reads it. If neither is available, give each of your numbers its own forwarding destination.
Will the caller's number come through?
The receptionist needs the caller's real number to recognise returning customers and to text confirmations. Some phone systems present the business's own number on forwarded calls instead of the original caller's. Find the setting that controls caller ID on forwarded or external calls, then make a test call from a mobile whose number you know. Also decide what happens when a caller withholds their number: the receptionist should ask for a callback number and read it back, because it cannot rely on caller ID for that call.
How do transfers back to staff work?
Transfers can work in two ways. With a SIP REFER, defined in RFC 3515, the receptionist asks the phone system to call the transfer target and is notified whether that worked. Alternatively, the receptionist places a new call to the staff member and bridges the two calls, staying on the line until someone answers. Whichever method is used, check where the transfer lands. Transferring to a ring group that overflows back to the receptionist creates a loop. Transferring to a mobile that sends unknown numbers to voicemail can make a failed transfer look like a success.
What should you test before switching it on?
Test each event you routed, one at a time, and record what the caller hears and what staff see. Let a ring group ring out. Fill a queue past its limit. Call outside hours and on a date in your holiday schedule. Call each of your numbers to confirm the receptionist knows which was dialled. Ring from a withheld number. Ask for a transfer while the staff member is busy, not answering and logged out. Finally, place several calls at the same time to check capacity, and confirm no route sends a transferred call back into the receptionist.
